package test;

import java.io.Serializable;
import javax.resource.ResourceException;
import javax.resource.spi.Activation;
import javax.resource.spi.ActivationSpec;
import javax.resource.spi.InvalidPropertyException;
import javax.resource.spi.ResourceAdapter;

@Activation(messageListeners=TestEventListener.class)
public class TestActivationSpec implements Serializable, ActivationSpec {
	private static final long serialVersionUID = 1L;
	private ResourceAdapter ra;

	@Override
	public void validate() throws InvalidPropertyException {
		// nothing to validate
	}

	@Override
	public ResourceAdapter getResourceAdapter() {
		return ra;
	}

	@Override
	public void setResourceAdapter(ResourceAdapter ra) throws ResourceException {
		this.ra = ra;
	}
}